<template>
  <PageLayout :title="TitleText[lifePayOrderType]" class="selectPayType-page-wrapper" hasBorder>
    <InnerPage />
  </PageLayout>
</template>

<script setup lang="ts">
import { PageLayout } from '@/components';
import InnerPage from './InnerPage.vue';
import Taro from '@tarojs/taro';
import { LifeRechargeConstants } from '@life-payment/core-vue';

defineOptions({
  name: 'selectPayType',
});

const router = Taro.useRouter();
const lifePayOrderType = Number(router.params?.lifePayOrderType ?? '');
const TitleText = {
  [LifeRechargeConstants.LifePayOrderTypeEnum.话费订单]: '话费充值',
  [LifeRechargeConstants.LifePayOrderTypeEnum.电费订单]: '电费充值',
  [LifeRechargeConstants.LifePayOrderTypeEnum.燃气订单]: '燃气充值',
};
</script>
